| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Classes | Public Member Functions | Static Public Member Functions | List of all members
Ogre::SceneLoaderManager Class Reference
Core » Resources

This class defines an interface for registering and using SceneLoaders. More...

`#include <OgreSceneLoaderManager.h>`

Inheritance diagram for Ogre::SceneLoaderManager:
[legend]

## Public Member Functions
| SceneLoaderManager ()
virtual | ~SceneLoaderManager ()
SceneLoader * | _getSceneLoader (const String &name) const
void | load (const String &filename, const String &groupName, SceneNode *rootNode)
| Load a scene from a SceneLoader. More...
void | load (DataStreamPtr &stream, const String &groupName, SceneNode *rootNode)
| Load a scene from a SceneLoader. More...
void | registerSceneLoader (const String &name, const StringVector &ext, SceneLoader *sl)
| Register a new SceneLoader. More...
void | unregisterSceneLoader (const String &name)

## Static Public Member Functions
static SceneLoaderManager & | getSingleton (void)
| Get the singleton instance. More...
static SceneLoaderManager * | getSingletonPtr (void)
| Get the singleton instance. More...

## Detailed Description

This class defines an interface for registering and using SceneLoaders.

## Constructor & Destructor Documentation

## ◆ SceneLoaderManager()

Ogre::SceneLoaderManager::SceneLoaderManager | ( |  | ) |

## ◆ ~SceneLoaderManager()

virtual Ogre::SceneLoaderManager::~SceneLoaderManager | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ registerSceneLoader()

void Ogre::SceneLoaderManager::registerSceneLoader | ( | const String & | name,
|  | const StringVector & | ext,
|  | SceneLoader * | sl
| ) |  |

Register a new SceneLoader.

Parameters

  name | The name for the SceneLoader for lookup.
  ext | A StringVector containing the supported extensions for the SceneLoader being registered.
  sl | Pointer to the SceneLoader instance.

## ◆ unregisterSceneLoader()

void Ogre::SceneLoaderManager::unregisterSceneLoader | ( | const String & | name | ) |

## ◆ _getSceneLoader()

SceneLoader* Ogre::SceneLoaderManager::_getSceneLoader | ( | const String & | name | ) | const
| inline

## ◆ load() [1/2]

void Ogre::SceneLoaderManager::load | ( | const String & | filename,
|  | const String & | groupName,
|  | SceneNode * | rootNode
| ) |  |

Load a scene from a SceneLoader.

Parameters

  filename | The name (and path) of the file to be loaded. This is also used to determine the SceneLoader to use by the file extension.
  groupName | The name of a resource group which should be used if any resources are created during the parse of this script.
  rootNode | The root node for the scene being loaded.

## ◆ load() [2/2]

void Ogre::SceneLoaderManager::load | ( | DataStreamPtr & | stream,
|  | const String & | groupName,
|  | SceneNode * | rootNode
| ) |  |

Load a scene from a SceneLoader.

Parameters

  stream | Weak reference to a data stream which is the source of the scene. This is also used to determine the SceneLoader to use by the file extension.
  groupName | The name of a resource group which should be used if any resources are created during the parse of this script.
  rootNode | The root node for the scene being loaded.

## ◆ getSingleton()

static SceneLoaderManager& Ogre::SceneLoaderManager::getSingleton | ( | void |  | ) |
| static

Get the singleton instance.

## ◆ getSingletonPtr()

static SceneLoaderManager* Ogre::SceneLoaderManager::getSingletonPtr | ( | void |  | ) |
| static

Get the singleton instance.

The documentation for this class was generated from the following file:

- OgreSceneLoaderManager.h